> ## Documentation Index
> Fetch the complete documentation index at: https://docs.whop.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List course lessons

> Returns a paginated list of lessons within a course or chapter, ordered by position.

Required permissions:
 - `courses:read`



## OpenAPI

````yaml /openapi/api-v1-stable.json get /course_lessons
openapi: 3.1.0
info:
  description: >-
    The Whop REST API. Please see
    https://docs.whop.com/developer/api/getting-started for more details.
  termsOfService: https://whop.com/tos-developer-api/
  title: Whop API
  version: 1.0.0
  x-api-version-date: '2026-08-21'
servers:
  - description: Production Whop API
    url: https://api.whop.com/api/v1
  - description: Sandbox Whop API
    url: https://sandbox-api.whop.com/api/v1
security: []
tags:
  - description: Products
    name: Products
  - description: Payments
    name: Payments
  - description: Refunds
    name: Refunds
  - description: Disputes
    name: Disputes
  - description: Dispute alerts
    name: Dispute alerts
  - description: Resolution center cases
    name: Resolution center cases
  - description: Checkout configurations
    name: Checkout configurations
  - description: Setup intents
    name: Setup intents
  - description: Payment methods
    name: Payment methods
  - description: Invoices
    name: Invoices
  - description: Promo codes
    name: Promo codes
  - description: Card transactions
    name: Card transactions
  - description: Ledger accounts
    name: Ledger accounts
  - description: Withdrawals
    name: Withdrawals
  - description: Payout methods
    name: Payout methods
  - description: Verifications
    name: Verifications
  - description: Identity profiles
    name: Identity profiles
  - description: Payout accounts
    name: Payout accounts
  - description: Topups
    name: Topups
  - description: Companies
    name: Companies
  - description: Authorized users
    name: Authorized users
  - description: Fee markups
    name: Fee markups
  - description: Members
    name: Members
  - description: Memberships
    name: Memberships
  - description: Leads
    name: Leads
  - description: Entries
    name: Entries
  - description: Shipments
    name: Shipments
  - description: Reviews
    name: Reviews
  - description: Company token transactions
    name: Company token transactions
  - description: Affiliates
    name: Affiliates
  - description: Experiences
    name: Experiences
  - description: Forums
    name: Forums
  - description: Forum posts
    name: Forum posts
  - description: Chat channels
    name: Chat channels
  - description: Support channels
    name: Support channels
  - description: Messages
    name: Messages
  - description: Reactions
    name: Reactions
  - description: Dm members
    name: Dm members
  - description: Dm channels
    name: Dm channels
  - description: Notifications
    name: Notifications
  - description: Courses
    name: Courses
  - description: Course chapters
    name: Course chapters
  - description: Course lessons
    name: Course lessons
  - description: Course students
    name: Course students
  - description: Course lesson interactions
    name: Course lesson interactions
  - description: Apps
    name: Apps
  - description: Webhooks
    name: Webhooks
  - description: App builds
    name: App builds
  - description: Access tokens
    name: Access tokens
  - description: Account links
    name: Account links
  - description: Files
    name: Files
  - description: Ai chats
    name: Ai chats
  - description: Bounties
    name: Bounties
  - description: Stats
    name: Stats
  - description: Conversions
    name: Conversions
  - description: Ad reports
    name: Ad reports
paths:
  /course_lessons:
    get:
      tags:
        - Course lessons
      summary: List course lessons
      description: >-
        Returns a paginated list of lessons within a course or chapter, ordered
        by position.


        Required permissions:
         - `courses:read`
      operationId: listCourseLesson
      parameters:
        - explode: true
          in: query
          name: after
          required: false
          schema:
            description: >-
              Returns the elements in the list that come after the specified
              cursor.
            type: string
          style: form
        - explode: true
          in: query
          name: before
          required: false
          schema:
            description: >-
              Returns the elements in the list that come before the specified
              cursor.
            type: string
          style: form
        - explode: true
          in: query
          name: first
          required: false
          schema:
            description: Returns the first _n_ elements from the list.
            example: 42
            type: integer
          style: form
        - explode: true
          in: query
          name: last
          required: false
          schema:
            description: Returns the last _n_ elements from the list.
            example: 42
            type: integer
          style: form
        - explode: true
          in: query
          name: course_id
          required: false
          schema:
            description: >-
              The unique identifier of the course to return all lessons across
              all chapters.
            example: cors_xxxxxxxxxxxxx
            type: string
          style: form
        - explode: true
          in: query
          name: chapter_id
          required: false
          schema:
            description: The unique identifier of a chapter to return only its lessons.
            example: chap_xxxxxxxxxxxxx
            type: string
          style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                description: The connection type for Lesson.
                properties:
                  data:
                    description: A list of nodes.
                    items:
                      $ref: '#/components/schemas/CourseLessonListItem'
                    type: array
                  page_info:
                    $ref: '#/components/schemas/PageInfo'
                    description: Information to aid in pagination.
                required:
                  - data
                  - page_info
                type: object
          description: A successful response
        '400':
          content:
            application/json:
              example:
                error:
                  code: parameter_missing
                  message: 'Missing required parameter: amount.'
                  param: amount
                  type: invalid_request_error
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Bad request
        '401':
          content:
            application/json:
              example:
                error:
                  message: Invalid or missing API key
                  type: unauthorized
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Unauthorized
        '403':
          content:
            application/json:
              example:
                error:
                  message: You do not have permission to access this resource
                  type: forbidden
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Forbidden
        '404':
          content:
            application/json:
              example:
                error:
                  message: Resource not found
                  type: not_found
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Not found
        '422':
          content:
            application/json:
              example:
                error: null
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Verification required
        '429':
          content:
            application/json:
              example:
                error: null
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Too many requests
        '500':
          content:
            application/json:
              example:
                error:
                  message: An unexpected error occurred
                  type: internal_server_error
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Internal server error
      security:
        - bearerAuth:
            - courses:read
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Whop from '@whop/sdk';


            const client = new Whop({
              apiKey: process.env['WHOP_API_KEY'], // This is the default and can be omitted
            });


            // Automatically fetches more pages as needed.

            for await (const courseLessonListResponse of
            client.courseLessons.list()) {
              console.log(courseLessonListResponse.id);
            }
components:
  schemas:
    CourseLessonListItem:
      description: >-
        An individual learning unit within a chapter, which can contain text,
        video, PDF, or assessment content.
      properties:
        content:
          description: >-
            The Markdown content body of the lesson. Null if the lesson has no
            text content.
          example: In this lesson, we will cover the basics of technical analysis...
          type:
            - string
            - 'null'
        created_at:
          description: The datetime the lesson was created.
          example: '2023-12-01T05:00:00.401Z'
          format: date-time
          type: string
        days_from_course_start_until_unlock:
          description: >-
            The number of days after a student starts the course before this
            lesson becomes accessible. Null if the lesson is available
            immediately.
          example: 42
          type:
            - integer
            - 'null'
        embed_id:
          description: >-
            The external video identifier for embedded video lessons, such as a
            YouTube video ID or Loom share ID. Null if the lesson has no embed.
          example: dQw4w9WgXcQ
          type:
            - string
            - 'null'
        embed_type:
          description: >-
            The platform type for the embedded video. One of: youtube, loom.
            Null if the lesson has no embed.
          oneOf:
            - $ref: '#/components/schemas/EmbedTypes'
            - type: 'null'
        id:
          description: The unique identifier for the lesson.
          example: lesn_xxxxxxxxxxxxx
          type: string
        lesson_type:
          $ref: '#/components/schemas/LessonTypes'
          description: >-
            The content format of this lesson. One of: text, video, pdf, multi,
            quiz, knowledge_check.
        order:
          description: >-
            The sort position of this lesson within its parent chapter, starting
            from zero.
          example: 42
          type: integer
        thumbnail:
          description: >-
            The thumbnail image displayed on lesson cards and previews. Null if
            no thumbnail has been uploaded.
          properties:
            url:
              description: >-
                A pre-optimized URL for rendering this attachment on the client.
                This should be used for displaying attachments in apps.
              example: https://media.whop.com/abc123/optimized.jpg
              type:
                - string
                - 'null'
          required:
            - url
          type:
            - object
            - 'null'
        title:
          description: >-
            The display name of the lesson shown to students. Maximum 120
            characters.
          example: Understanding Candlestick Patterns
          type: string
        visibility:
          $ref: '#/components/schemas/LessonVisibilities'
          description: >-
            The visibility setting that controls whether this lesson appears to
            students. One of: visible, hidden.
      required:
        - id
        - title
        - order
        - lesson_type
        - visibility
        - content
        - days_from_course_start_until_unlock
        - embed_type
        - embed_id
        - created_at
        - thumbnail
      type: object
    PageInfo:
      description: Information about pagination in a connection.
      properties:
        end_cursor:
          description: When paginating forwards, the cursor to continue.
          type:
            - string
            - 'null'
        has_next_page:
          description: When paginating forwards, are there more items?
          type: boolean
        has_previous_page:
          description: When paginating backwards, are there more items?
          type: boolean
        start_cursor:
          description: When paginating backwards, the cursor to continue.
          type:
            - string
            - 'null'
      required:
        - end_cursor
        - start_cursor
        - has_next_page
        - has_previous_page
      type: object
    EmbedTypes:
      description: The type of embed for a lesson
      enum:
        - youtube
        - loom
      type: string
    LessonTypes:
      description: The available types for a lesson
      enum:
        - text
        - video
        - pdf
        - multi
        - quiz
        - knowledge_check
      type: string
    LessonVisibilities:
      description: >-
        The available visibilities for a lesson. Determines how / whether a
        lesson is visible to users.
      enum:
        - visible
        - hidden
      type: string
  securitySchemes:
    bearerAuth:
      bearerFormat: auth-scheme
      description: >-
        An Account API key, account-scoped JWT, App API key, or user OAuth
        token. Prepend the key or token with `Bearer`, for example `Bearer
        ***************************`.
      scheme: bearer
      type: http

````